"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Disabled = exports.Outlined = exports.Contained = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _ButtonBootstrap = require("./ButtonBootstrap.styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var _default = {
  title: "Component/Button/Bootstrap",
  component: _Button["default"],
  argTypes: {},
  args: {
    disableTouchRipple: true
  },
  parameters: {
    layout: "centered"
  }
};
exports["default"] = _default;

var Contained = function Contained(args) {
  var classes = (0, _ButtonBootstrap.useButtonBootstrapStyles)();
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      gap: 12,
      display: "flex"
    }
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes
  }), "Default"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    color: "primary"
  }), "Primary"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    color: "secondary"
  }), "Secondary"));
};

exports.Contained = Contained;
Contained.args = {
  variant: "contained"
};

var Outlined = function Outlined(args) {
  var classes = (0, _ButtonBootstrap.useButtonBootstrapStyles)();
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      gap: 12,
      display: "flex"
    }
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes
  }), "Default"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    color: "primary"
  }), "Primary"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    color: "secondary"
  }), "Secondary"));
};

exports.Outlined = Outlined;
Outlined.args = {
  variant: "outlined"
};

var Disabled = function Disabled(args) {
  var classes = (0, _ButtonBootstrap.useButtonBootstrapStyles)();
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      gap: 12,
      display: "flex"
    }
  }, /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    variant: "contained"
  }), "Default"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    variant: "contained",
    color: "primary"
  }), "Primary"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    variant: "contained",
    color: "secondary"
  }), "Secondary"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    variant: "outlined"
  }), "Default"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    variant: "outlined",
    color: "primary"
  }), "Primary"), /*#__PURE__*/_react["default"].createElement(_Button["default"], _extends({}, args, {
    classes: classes,
    variant: "outlined",
    color: "secondary"
  }), "Secondary"));
};

exports.Disabled = Disabled;
Disabled.args = {
  disabled: true
};